Bug 1206564 - libinput-0.13.0-1.fc22 slows down the mousepointer extremely
Summary: libinput-0.13.0-1.fc22 slows down the mousepointer extremely
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libinput
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1206558 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-27 12:37 UTC by Joachim Backes
Modified: 2016-05-05 05:52 UTC (History)
5 users (show)

Fixed In Version: libinput-0.13.0-6.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-05 05:52:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Joachim Backes 2015-03-27 12:37:43 UTC
Description of problem:
After installing libinput-0.13.0-1.fc22, the mouse pointer slows down extremely in a gnome3 session. REpairing the problem by gnome-session-properties isn't possible.

After downgrading to libinput-0.12.0-2.fc22.x86_64 I got rid osf the problem.

Version-Release number of selected component (if applicable):
libinput-0.13.0-1.fc22

How reproducible:
always

Steps to Reproduce:
1.Install libinput-0.13.0-1.fc22 slow
2. Logout and login again to gnome3 session
3.

Actual results:
The mouse pointer move slowly

Expected results:

Normal speed
Additional info:
The mous motion in a TTy session (Ctrl+Alt F1 - F4) using gpm is not involved by this problem.

Comment 1 Eric Blake 2015-03-27 15:10:40 UTC
I've noticed this as well, but also noticed that under synergy with the box in question as a synergy client, the local mouse is slow, but driving the mouse remotely from the synergy server did not have any negative impact, so I've been heavily relying on synergy to use the box while waiting for an update that fixes the slowdown.

Comment 2 Peter Hutterer 2015-04-07 23:48:33 UTC
*** Bug 1206558 has been marked as a duplicate of this bug. ***

Comment 3 Fedora Update System 2015-04-08 06:31:41 UTC
libinput-0.13.0-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libinput-0.13.0-3.fc22

Comment 4 Joachim Backes 2015-04-08 06:40:43 UTC
(In reply to Fedora Update System from comment #3)
> libinput-0.13.0-3.fc22 has been submitted as an update for Fedora 22.
> https://admin.fedoraproject.org/updates/libinput-0.13.0-3.fc22

Solves my issue (now mousepointer movement is normal).

Comment 5 Fedora Update System 2015-04-08 18:36:01 UTC
Package libinput-0.13.0-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libinput-0.13.0-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5755/libinput-0.13.0-3.fc22
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-04-08 22:05:11 UTC
libinput-0.13.0-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libinput-0.13.0-4.fc22

Comment 7 Fedora Update System 2015-04-17 00:35:00 UTC
libinput-0.13.0-6.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libinput-0.13.0-6.fc22

Comment 8 Fedora Update System 2015-04-22 22:46:29 UTC
libinput-0.13.0-6.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Peter Hutterer 2016-05-05 05:52:36 UTC
this bug should've been auto-closed but didn't.


Note You need to log in before you can comment on or make changes to this bug.